Skip to content

Product Search

Lists all products that match a provided search query. The returned results are always ordered by relevance.

A request can be submitted to this endpoint using the details below:

GET
https://api.fyendalscollection.com/product/search
  • q - The query to search by.
GET /product/search?q=arknight%20shard HTTP/1.1
Host: api.fyendalscollection.com
Authorization: Bearer eyJ...

A successful response from this endpoint gives a 200 OK and uses the following response model for each result:

ProductSearchResponseModel.ts
interface ProductSearchResponseModel {
readonly productId: string;
readonly name: string;
readonly imageUrl: string;
readonly number: string | null;
}
HTTP/1.1 200 OK
Content-Type: application/json
{
"results": [
{
"productId": "549623c8-34df-4018-a39e-75b37664da77",
"name": "Arknight Shard",
"imageUrl": "https://example.com/image.jpg",
"number": "CRU000"
}
],
"nextCursor": 1
}

The following problem types can be encountered when using this endpoint:

If the provided query is invalid or malformed.

If searching beyond the maximum cursor.